Lab Features -> Red Hat Subscriptions generates console error

06/13/2018 05:18 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: JavaScript stack   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5723,

https://github.com/theforeman/foreman/p

ull/5734

  

Description

Using the 'nightly staging' repo, seeing the error below on browser console when loading 'Lab Features -> Red Hat Subscriptions'

vendor-22e1b93….js:1 Uncaught TypeError: Cannot read property 'call' of undefined

    at a (vendor-22e1b93….js:1)

    at Object.40adf67927b2c88c987f (katello-965b9c4….js:1)

    at a (vendor-22e1b93….js:1)

    at Object.4f0c9d605b36d05352b8 (katello-965b9c4….js:1)

    at a (vendor-22e1b93….js:1)

    at window.webpackJsonp (vendor-22e1b93….js:1)

    at katello-965b9c4….js:1

Related issues:

Related to Foreman Remote Execution - Bug #23902: On 1.18-rc1 job invocation ... Closed 06/12/2018

Associated revisions

Revision 927e4ddc - 06/20/2018 05:09 PM - Tomer Brisker

Refs #23924 - replace HashModuleId with NamedModules

While this won't fix the issue, it will allow debugging which module is

causing the issue.

Revision a9861944 - 06/25/2018 08:02 AM - Tomer Brisker

Fixes #23924 - Use consistent IDs for modules in webpack

This replaces the NamedModulesPlugin with a simplified version, that

strips the relative path part of the module ID up to the

node_modules/ part. This allows using consistent naming for modules,

even when running the packaging from different directories relative to

the node_modules folder (as is the case, for example, with katello and

foreman).

History

#1 - 06/14/2018 03:59 PM - Walden Raines

- Target version set to 253

#2 - 06/14/2018 06:56 PM - Jonathon Turel

This same error is present on the Red Hat Repositories page, rendering it unusable

#3 - 06/18/2018 08:59 PM - Walden Raines

- Target version deleted (253)
#4 - 06/20/2018 11:38 AM - Ewoud Kohl van Wijngaarden

Could you post the exact RPM versions that you saw this with? Given nightlies are changing all the time this makes it easier for us.

#5 - 06/20/2018 01:54 PM - Brad Buckingham

I observed it with nightly; however, Jonathon confirmed the same with the RC1 builds.

On my nightly install, it has:

[vagrant@centos7-katello-nightly-staging ~]$ rpm -qa|grep katello

katello-debug-3.7.0-4.nightly.el7.noarch

foreman-installer-katello-3.8.0-1.nightly.201806122209git48894ec.el7.noarch

centos7-katello-nightly-staging.corvette.example.com-qpid-client-cert-1.0-1.noarch

tfm-rubygem-hammer_cli_katello-0.13.2-1.el7.noarch

tfm-rubygem-katello-3.8.0-.201806061800git75248db1.nightly.el7.noarch

centos7-katello-nightly-staging.corvette.example.com-apache-1.0-1.noarch

centos7-katello-nightly-staging.corvette.example.com-foreman-proxy-1.0-1.noarch

katello-default-ca-1.0-1.noarch

centos7-katello-nightly-staging.corvette.example.com-tomcat-1.0-1.noarch

centos7-katello-nightly-staging.corvette.example.com-foreman-client-1.0-1.noarch

centos7-katello-nightly-staging.corvette.example.com-foreman-proxy-client-1.0-1.noarch

centos7-katello-nightly-staging.corvette.example.com-qpid-router-server-1.0-1.noarch

centos7-katello-nightly-staging.corvette.example.com-puppet-client-1.0-1.noarch

katello-selinux-3.0.3-1.el7.noarch

pulp-katello-1.0.2-1.el7.noarch

katello-common-3.7.0-4.nightly.el7.noarch

katello-server-ca-1.0-1.noarch

centos7-katello-nightly-staging.corvette.example.com-qpid-broker-1.0-1.noarch

centos7-katello-nightly-staging.corvette.example.com-qpid-router-client-1.0-1.noarch

katello-installer-base-3.8.0-1.nightly.201806122209git48894ec.el7.noarch

katello-certs-tools-2.4.0-1.el7.noarch

katello-3.7.0-4.nightly.el7.noarch

katello-service-3.7.0-4.nightly.el7.noarch

[vagrant@centos7-katello-nightly-staging ~]$ rpm -qa|grep foreman

tfm-rubygem-hammer_cli_foreman_docker-0.0.4-3.el7.noarch

foreman-postgresql-1.19.0-0.develop.201806111527gite5b4634.el7.noarch

foreman-installer-katello-3.8.0-1.nightly.201806122209git48894ec.el7.noarch

centos7-katello-nightly-staging.corvette.example.com-foreman-proxy-1.0-1.noarch

foreman-debug-1.19.0-0.develop.201806111527gite5b4634.el7.noarch

tfm-rubygem-hammer_cli_foreman_tasks-0.0.12-2.fm1_17.el7.noarch

foreman-selinux-1.19.0-0.develop.201806110305git6d3fbe8.el7.noarch

centos7-katello-nightly-staging.corvette.example.com-foreman-client-1.0-1.noarch

centos7-katello-nightly-staging.corvette.example.com-foreman-proxy-client-1.0-1.noarch

foreman-proxy-1.19.0-0.develop.201805301745git37d2d99.el7.noarch

tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-6.el7.noarch

foreman-installer-1.19.0-0.develop.201806080328gite89c65e.el7.noarch

foreman-cli-1.19.0-0.develop.201806111527gite5b4634.el7.noarch

foreman-1.19.0-0.develop.201806111527gite5b4634.el7.noarch

foreman-compute-1.19.0-0.develop.201806111527gite5b4634.el7.noarch

foreman-release-scl-5-1.el7.noarch

tfm-rubygem-foreman_docker-4.1.0-1.fm1_18.el7.noarch

tfm-rubygem-foreman-tasks-core-0.2.5-1.fm1_18.el7.noarch

foreman-release-1.19.0-0.develop.201806111527gite5b4634.el7.noarch

tfm-rubygem-hammer_cli_foreman-0.14.pre.develop-1.201806071846git970f2d8.el7.noarch

tfm-rubygem-foreman-tasks-0.13.1-1.fm1_18.el7.noarch

[vagrant@centos7-katello-nightly-staging ~]$ rpm -qa|grep webp

tfm-rubygem-webpack-rails-0.9.8-2.el7.noarch

#6 - 06/20/2018 01:56 PM - Tomer Brisker

- Project changed from Katello to Foreman

- Category changed from Web UI to JavaScript stack

- translation missing: en.field_release changed from 338 to 330

Moving to core since this seems to be caused by the way webpack generates the vendor.js.

#7 - 06/20/2018 01:59 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker
- Pull request https://github.com/theforeman/foreman/pull/5723 added

#8 - 06/24/2018 07:33 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5734 added

#9 - 06/25/2018 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a9861944e7fe5a6e2900ceda114870dc8a18b298.

#10 - 06/28/2018 07:49 AM - Ivan Necas

- Related to Bug #23902: On 1.18-rc1 job invocation details does not show the graph added
